API Reference
DashboardGet API keyAPI key

Getting started

  • Introduction
  • Authentication
  • Errors & rate limits

Voice agents

    • Overview
    • GETList tools
    • GETList an agent's tools
    • GETGet tool
    • POSTCreate tool
    • PATCHUpdate tool
    • DELDelete tool

WhatsApp agents

Workspace

Voice agentsAgent tools

Delete tool

Removes a tool from its agent.

DELETE/v2/tools/{id}

Authorization

  • Authorizationstringheaderrequired

    Bearer authentication header of the form Bearer <api_key>, where <api_key> is a key from Account Settings → API keys in your dashboard.

Path parameters

  • idstring (uuid)required

    The tool's id.

Response

Confirmation of the deletion.

  • statusstring

    Always deleted.

  • idstring (uuid)

    The deleted tool's id.

Request
curl --request DELETE \
  --url 'https://api.tarangnow.com/v2/tools/b7e1c2d3-4f5a-4b6c-9d7e-8f9a0b1c2d3e' \
  --header 'Authorization: Bearer <api_key>'
Response
{
  "status": "deleted",
  "id": "b7e1c2d3-4f5a-4b6c-9d7e-8f9a0b1c2d3e"
}
PreviousUpdate toolNextCall logs overview